Fedora-Fr - Communauté francophone Fedora - Linux

Communauté francophone des utilisateurs de la distribution Linux Fedora.

  

Dernière news : Fedora 37 Beta est disponible

#1 31/03/2022 00:16:36

pol2095
Membre
Inscription : 23/08/2021
Messages : 26

RPM : Problème: requêtes conflictuelles

Bonjour,

j'essaie d'installer un RPM mais j'ai cette erreur :

Erreur : 
 Problème: requêtes conflictuelles
  - rien de fournit libcurl.so.4(CURL_OPENSSL_3)(64bit) rendu nécessaire par myApp-0.0.2-1.x86_64

Merci

Hors ligne

#2 31/03/2022 01:05:03

Refuznik
Membre
Inscription : 31/01/2007
Messages : 8 090

Re : RPM : Problème: requêtes conflictuelles

Normalement c'est le paquet libcurl-minimal qui est dispos dans update.

Hors ligne

#3 31/03/2022 07:04:59

Nicosss
Rédacteur Wiki
Rédacteur Wiki
Lieu : Isère
Inscription : 05/03/2007
Messages : 7 501
Site Web

Re : RPM : Problème: requêtes conflictuelles

Commande d'installation ?


F36_64 Gnome-Shell - GA-990FXA-UD3 - Phenom II X6 1100T - NH-D14 - Ati HD 5750 Fanless - 16Go RAM /&/ F36_64 Gnome-Shell - Toshiba Satellite C660D-19X - 8Go RAM
F36_64 - ASRock 960GC-GS FX - AMD FX(tm)-8300 - 16Go RAM

Hors ligne

#4 31/03/2022 07:54:53

pol2095
Membre
Inscription : 23/08/2021
Messages : 26

Re : RPM : Problème: requêtes conflictuelles

en rajoutant

%define __requires_exclude libcurl.so.4

dans le fichier *.spec quand je crée le RPM, ça corrige le problème

Hors ligne

#5 31/03/2022 09:59:57

remi
Crazy PHP packages monkey... !
Rédacteur Wiki
Lieu : Champagne...
Inscription : 16/10/2004
Messages : 5 598
Site Web

Re : RPM : Problème: requêtes conflictuelles

ça ressemble furieusement à un paquet construit pour une version (e.g. F36) installé sur une autre version (e.g. F35).


Filtrer la dépendance ne peut en aucun cas être une solution !
Il faut construire le paquet sur la distribution cible de l'installation.

Hors ligne

#6 31/03/2022 13:54:50

pol2095
Membre
Inscription : 23/08/2021
Messages : 26

Re : RPM : Problème: requêtes conflictuelles

En fait c'est un application que j'ai créé sous Ubuntu 20.04, que j'ai converti en RPM avec Alien, l'application a l'air de fonctionner sans pb.

Hors ligne

Pied de page des forums